<script setup lang="ts">
import { ref, provide } from 'vue'
import { RouterLink, RouterView, useRoute } from 'vue-router'
import MainAppBar from './components/MainAppBar.vue'
import MainMenu from './components/MainMenu.vue'
import LoadingDialog from './components/LoadingDialog.vue'
import MessageBox from './components/MessageBox.vue'
import MainLayout from './layouts/MainLayout.vue'
import FullLayout from './layouts/FullLayout.vue'

const rail = ref(true)
const drawer = ref(true)
const route = useRoute()
provide('rail', rail)
provide('drawer', drawer)
</script>

<template>
  <!-- <FullLayout v-if="route.meta.layout==='FullLayout'"></FullLayout>
  <MainLayout v-if="route.meta.layout==='MainLayout'"></MainLayout> -->
  <component :is="route.meta.layout === 'MainLayout' ? MainLayout : FullLayout"></component>
  <LoadingDialog></LoadingDialog>
  <MessageBox></MessageBox>
</template>

<style scoped></style>
